Bug 131223 - Dialog sort: Using Enter to confirm a selection from a list (dropdown) invokes OK
Summary: Dialog sort: Using Enter to confirm a selection from a list (dropdown) invoke...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2020-03-08 14:58 UTC by Cor Nouws
Modified: 2020-03-09 09:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
test spreadsheet with small table (10.30 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-03-08 14:58 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2020-03-08 14:58:41 UTC
Created attachment 158495 [details]
test spreadsheet with small table

attaching a test sheet:

Cursor in e.g. A3
chose Data > Sort 
Tab, Tab
Alt+Down (open list)
Down (select next)
Enter (to confirm)
  > dialog closes
expected: list is closed and one can do further actions
Comment 1 Cor Nouws 2020-03-08 14:59:54 UTC
sorry: 
Version: 7.0.0.0.alpha0+
Build ID: 4c009d523f1017def872f0c69caafd7d1826c263
CPU threads: 8; OS: Linux 5.3; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-03-06_13:17:52
Locale: nl-NL (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Usually one for you, Caolan.
Comment 2 Commit Notification 2020-03-08 16:09:47 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0d81a613ef5af22253e51d9917c5d5c94d764456

tdf#131223 let return deactive active popup

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Cor Nouws 2020-03-08 21:48:25 UTC
(In reply to Commit Notification from comment #2)
> Caolán McNamara committed a patch related to this issue.
> It has been pushed to "master":
> 
> https://git.libreoffice.org/core/commit/
> 0d81a613ef5af22253e51d9917c5d5c94d764456
Thanks :) !
Comment 4 Cor Nouws 2020-03-09 09:37:51 UTC
fine in Version: 7.0.0.0.alpha0+
Build ID: 0d81a613ef5af22253e51d9917c5d5c94d764456
CPU threads: 8; OS: Linux 5.3; UI render: default; VCL: gtk3; 
Locale: nl-NL (en_US.UTF-8); UI-Language: en-US
Calc: threaded